---
obj: application
repo: https://github.com/demoray/retry-cli
rev: 2025-01-28
---

# retry-cli
retry is a command line tool written in Rust intended to automatically re-run failed commands with a user configurable delay between tries.

## Usage
Usage: `retry [OPTIONS] <COMMAND>...`

| Option                          | Description                                                    |
| ------------------------------- | -------------------------------------------------------------- |
| `--attempts <ATTEMPTS>`         | Amount of retries (default: `3`)                               |
| `--min-duration <MIN_DURATION>` | minimum duration (default: `10ms`)                             |
| `--max-duration <MAX_DURATION>` | maximum duration                                               |
| `--jitter <JITTER>`             | amount of randomization to add to the backoff (default: `0.3`) |
| `--factor <FACTOR>`             | backoff factor (default: `2`)                                  |
